org.apache.cassandra.db.index.composites

## Class CompositesSearcher

- java.lang.Object
- - org.apache.cassandra.db.index.SecondaryIndexSearcher
  - - org.apache.cassandra.db.index.composites.CompositesSearcher

-     public class CompositesSearcher
      extends SecondaryIndexSearcher

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

      `baseCfs, columns, indexManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositesSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns, int prefixSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnFamilyStore.AbstractScanIterator` | `getIndexedIterator(AbstractBounds<RowPosition> range, ExtendedFilter filter)`
    `boolean` | `isIndexing(java.util.List<IndexExpression> clause)`
    `java.util.List<Row>` | `search(java.util.List<IndexExpression> clause, AbstractBounds<RowPosition> range, int maxResults, IDiskAtomFilter dataFilter, boolean countCQL3Rows)`

    - ### Methods inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher

      `isIndexValueStale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositesSearcher

          public CompositesSearcher(SecondaryIndexManager indexManager,
                            java.util.Set<java.nio.ByteBuffer> columns,
                            int prefixSize)

  - ### Method Detail

    - #### isIndexing

          public boolean isIndexing(java.util.List<IndexExpression> clause)

      Specified by:
        `isIndexing` in class `SecondaryIndexSearcher`
      Returns:
        true this index is able to handle given clauses.

    - #### search

          public java.util.List<Row> search(java.util.List<IndexExpression> clause,
                                   AbstractBounds<RowPosition> range,
                                   int maxResults,
                                   IDiskAtomFilter dataFilter,
                                   boolean countCQL3Rows)

      Specified by:
        `search` in class `SecondaryIndexSearcher`

    - #### getIndexedIterator

          public ColumnFamilyStore.AbstractScanIterator getIndexedIterator(AbstractBounds<RowPosition> range,
                                                                  ExtendedFilter filter)

Copyright © 2014 The Apache Software Foundation